Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.message
Class MessageFormatMessage

    java.lang.Object
      org.apache.logging.log4j.message.MessageFormatMessage

All Implemented Interfaces:
  Serializable, Message

    public class MessageFormatMessage

extends Object
implements Message

Handles messages that consist of a format string conforming to java.text.MessageFormat.

See Also:
  Serialized Form

Constructor Summary
`MessageFormatMessage(String messagePattern, Object... parameters)`

Method Summary
`boolean` | `equals(Object o)`
`protected String` | `formatMessage(String msgPattern, Object... args)`
`String` | `getFormat()` Returns the message pattern.
`String` | `getFormattedMessage()` Returns the formatted message.
`Object[]` | `getParameters()` Returns the message parameters.
`Throwable` | `getThrowable()` Return the throwable passed to the Message.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageFormatMessage

    public MessageFormatMessage(String messagePattern,
                                Object... parameters)

Method Detail

### getFormattedMessage

    public String getFormattedMessage()

  Returns the formatted message.

  Specified by:
    `getFormattedMessage` in interface `Message`
  Returns:
    the formatted message.

### getFormat

    public String getFormat()

  Returns the message pattern.

  Specified by:
    `getFormat` in interface `Message`
  Returns:
    the message pattern.

### getParameters

    public Object[] getParameters()

  Returns the message parameters.

  Specified by:
    `getParameters` in interface `Message`
  Returns:
    the message parameters.

### formatMessage

    protected String formatMessage(String msgPattern,
                                   Object... args)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getThrowable

    public Throwable getThrowable()

  Return the throwable passed to the Message.

  Specified by:
    `getThrowable` in interface `Message`
  Returns:
    the Throwable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.